﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Examples1_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
		<!-- LOAD GRAPHS -->
		<asp:Panel runat="server" ID="PanelCharts">
			<telerik:RadHtmlChart runat="server" ID="chtResults" Width="800" Height="500" Transitions="true" Skin="MetroTouch">
				<ChartTitle>
					<Appearance Align="Center" Position="Top">
					</Appearance>
				</ChartTitle>
				<Legend>
					<Appearance Position="Right" Visible="true">
					</Appearance>
				</Legend>
				<PlotArea>
					<Series>
						<telerik:PieSeries StartAngle="90">
							<LabelsAppearance Position="OutsideEnd" DataFormatString="{0} %">
							</LabelsAppearance>
							<TooltipsAppearance Color="White" DataFormatString="{0} %"></TooltipsAppearance>
							<SeriesItems>
								<telerik:PieSeriesItem Exploded="false" Name="Safari" Y="4.5" />
								<telerik:PieSeriesItem Exploded="false" Name="Opera" Y="2.3" />
							</SeriesItems>
						</telerik:PieSeries>
					</Series>
				</PlotArea>
			</telerik:RadHtmlChart>
		</asp:Panel>

		<!-- LOAD VERDICTS -->
		<asp:Panel ID="PanelVerdicts" runat="server">
			<telerik:RadListView ID="RadListViewVerdicts" AllowPaging="False" runat="server" ItemPlaceholderID="ProductsHolder" DataKeyNames="VerdictID">
				<LayoutTemplate>
					<div class="RadListView RadListViewFloated RadListView_<%# Container.Skin %>">
						<div class="rlvFloated">
			
							<asp:Panel ID="ProductsHolder" runat="server">
							</asp:Panel>
					
						</div>
					</div>
				</LayoutTemplate>
				<ItemTemplate>
					<div id="productItem" runat="server" class="productItemWrapper">
						<!-- Display Verdict Button -->
						<div style="text-align: center">
							<asp:Button ID="btnVote" runat="server" Width="100%" OnCommand="VoteCommand" />
						</div>
						<div class="argumentItemWrapper" id="argumentItemWrapper" runat="server">
							<telerik:RadListView ID="RadListViewArguments" AllowPaging="False" runat="server" ItemPlaceholderID="ArgumentsHolder" DataKeyNames="ArgumentID" 
							OnNeedDataSource="nestedListView_DataSource">
								<LayoutTemplate>
									<asp:Panel ID="ArgumentsHolder" runat="server">
									</asp:Panel>
								</LayoutTemplate>
								<ItemTemplate>
									<!-- Display Arguments -->
									<p style="font-size: 12pt; margin-top: 10px"><%# Eval("Description") %></p>
								</ItemTemplate>
							</telerik:RadListView>
						</div>
						<a href="#" id="showmore" runat="server">Show more</a>
					</div>
				</ItemTemplate>
			</telerik:RadListView>
		</asp:Panel>
	</form>
</body>
</html>
